OS X: installing matplotlib and basemap for Python (2.7)

Posted October 3rd, 2011 by dale

Installing matplotlib on the new (Lion 10.7.1) Mac Mini at home:

This machine was "migrated" from an older machine so the first step was to update Xcode from 4.0 to 4.1.1 The "installation" method using the AppStore is crippled (in my opinion) it didn't install Xcode, it installed the installer... sheesh.

Using the Apple-installed python (2.7)

Installed numpy (1.5.1):

Got the source for matplotlib 1.1.0 and installed w/ no trouble at all following the directions at:
http://matplotlib.sourceforge.net/users/installing.html
cd matplotlib
python setup.py build
python setup.py install

Installed ipython:
sudo easy_install readline ipython
using the note at:
http://ipython.scipy.org/Wiki/InstallationOSXLeopardf

Downloaded geos 3.3.1 from:

Installed geos with clues from:
http://trac.osgeo.org/geos/wiki/BuildingOnUnixWithAutotools
Found a "known" bug in the build process from notes at:
http://www.mail-archive.com/postgis-users@postgis.refractions.net/msg142...

setenv CC gcc-4.2
setenv CXX g++-4.2
~/src/geos/geos-3.3.1] dale% ./configure